local AddName, Ns = ...

local defaultLocale, newLocale
function Ns.RegisterLocale(locale, default)
	if default then
		if locale == "enUS" and not defaultLocale then
			defaultLocale, newLocale = {}, {}
			Ns.L = setmetatable(newLocale, { __index = function(t, k)
				local v = defaultLocale[k] or tostring(k)
				return v
			end})
			return defaultLocale
		end
	end
	return newLocale
end

-- icons
Ns.MiscIcon = "\124T" .. "Interface\\AddOns\\"..AddName.."\\Textures\\" .."Misc:0:0:0:0:16:16:0:16:0:16:112:255:201\124t "
Ns.SettingsIcon = "\124T" .. "Interface\\AddOns\\"..AddName.."\\Textures\\" .."Settings:0:0:0:0:16:16:0:16:0:16:112:255:201\124t "
Ns.DisplayIcon = "\124T" .. "Interface\\AddOns\\"..AddName.."\\Textures\\" .."Display:0:0:0:0:16:16:0:16:0:16:112:255:201\124t "
Ns.SpacingIcon = "\124T" .. "Interface\\AddOns\\"..AddName.."\\Textures\\" .."Spacing:0:0:0:0:16:16:0:16:0:16:112:255:201\124t "
Ns.LayoutIcon = "\124T" .. "Interface\\AddOns\\"..AddName.."\\Textures\\" .."Order:0:0:0:0:16:16:0:16:0:16:112:255:201\124t "
Ns.ColumnIcon = "\124T" .. "Interface\\AddOns\\"..AddName.."\\Textures\\" .."CheckColumn:0:0:0:0:16:16:0:16:0:16:112:255:201\124t "
Ns.EventsIcon = "\124T" .. "Interface\\AddOns\\"..AddName.."\\Textures\\" .."Events:0:0:0:0:16:16:0:16:0:16:112:255:201\124t "